
import OpenGL.GL as gl

from glitch.node import Node

class Selectable(Node):
    def render(self, ctx):
        if 'selection' in ctx:
            gl.glPushName(id(self))
            Node.render(self, ctx)
            gl.glPopName()
        else:
            Node.render(self, ctx)

